metadata:
  name: connman-pan-tethering
  format: "Apertis Test Definition 1.0"
  image-types:
    target:  [ armhf-internal, armhf, amd64 ]
    basesdk: [ amd64 ]
    sdk:     [ amd64 ]
  image-deployment:
    - APT
  type: functional
  exec-type: manual
  priority: medium
  maintainer: "Apertis Project"
  description: "Test ConnMan support for PAN connectivity."

  resources:
    - "A Bluetooth adapter."
    - "A device supporting PAN PANU."

  macro_install_packages_preconditions: apertis-tests python3-dbus python3-gi
  pre-conditions:
    - "Make sure an Internet connection is active on the system."
    - "When testing on the SDK image, make sure blueman-applet is not running or
       kill it."

  expected:
    - "If connections succeeds and you are able to navigate on the internet then
       it works."

  notes:
    - "Warning: Connman changes are persistent (over reboot!). After finishing
       testing, it might be wise to perform the dhcp test to ensure that the
       network is in a sensible state."
    - "For ALL tests the enable step will give an \"In progress\" error if the
       device is already enabled. This is to be expected."

run:
  steps:
    - "Enable bluetooth:"
    - $ connmanctl enable bluetooth
    - "Start Bluetooth tethering:"
    - $ connmanctl tether bluetooth on
    - "Start simple agent:"
    - $ /usr/lib/chaiwala-tests/bluez/simple-agent -y 
    - "On the other device, scan for the Bluetooth device and pair with, then
       connect to the Bluetooth PAN. Most phones(?) don't actually support
       tethering to another device (as they, by definition, already have an
       internet connection) but connecting a computer and asking, say,
       NetworkManager to connect to the newly paired bluetooth device should work
       just fine (when testing in this case, ensure all other connections are
       disabled!)"
